%define upstream_name    XML-XSPF
%define upstream_version 0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    API for reading & writing XSPF Playlists
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Writer)
BuildArch: noarch

%description
This is a parser and generator for the XSPF playlist format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.700.0-4.mga10
+ Revision: 2205763
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.700.0-3.mga9
+ Revision: 1812141
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.700.0-2.mga8
+ Revision: 1540919
- Mageia 8 Mass Rebuild

* Tue Dec 17 2019 shlomif <shlomif> 0.700.0-1.mga8
+ Revision: 1468626
- cpan2dist


* Tue Dec 17 2019 cpan2dist 0.7-1mga
- initial mageia release, generated with cpan2dist
